Skip to content
Streamkap
Esc
↑↓navigate↵open⌘Jpreview

Get Project Key Mcp Config

Returns authoritative MCP tool scoping config for server-side enforcement.

Called by the MCP server on session start to verify tool_profile, allowed_tools, and blocked_tools - preventing credential file tampering.

GET/project-keys/{project_key_id}/mcp-config
Authorization
AuthorizationBearer token · headerrequired
Path parameters
project_key_idstringrequired
Responses
200

Successful Response

project_key_idstringrequired
tenant_idstringrequired
service_idstringrequired
kafka_usernamestring | null
Show properties
Any of:
string
string
null
null
tool_profileToolProfile | null
Show properties
Any of:
ToolProfile
string
null
null
allowed_toolsstring[] | null
Show properties
Any of:
string[]
Array of string
string
null
null
blocked_toolsstring[] | null
Show properties
Any of:
string[]
Array of string
string
null
null
422

Validation Error

detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X GET 'https://api.streamkap.com/project-keys/string/mcp-config' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "project_key_id": "string",
  "tenant_id": "string",
  "service_id": "string",
  "kafka_username": "string",
  "tool_profile": "full",
  "allowed_tools": [
    "string"
  ],
  "blocked_tools": [
    "string"
  ]
}